Skip to main content
GET
/
api
/
v1
/
people
/
verify-job
/
{job_id}
Poll Verify People Job Status
curl --request GET \
  --url https://api.openfunnel.dev/api/v1/people/verify-job/{job_id} \
  --header 'X-API-Key: <x-api-key>' \
  --header 'X-User-ID: <x-user-id>'
{
  "job_id": "<string>",
  "status": "<string>",
  "job_type": "<string>",
  "created_at": "<string>",
  "error_message": "<string>",
  "result": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.openfunnel.dev/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string
required
X-User-ID
string
required

Path Parameters

job_id
string
required

Response

Successful Response

Response when polling a people verification job status.

job_id
string
required

Unique job ID

status
string
required

Current job status: pending, running, completed, or failed

job_type
string | null

Type of the async job

created_at
string | null

ISO timestamp when the job was created

error_message
string | null

Error details if the job failed

result
Result · object

Verification results when job is completed